For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTCreate a call
      • GETList calls
      • GETGet a call
      • POSTJoin a call
      • POSTEnd a call
      • GETGet call recording
LogoLogo
SupportDashboard
EndpointsCalls

List calls

GET
/calls
GET
/api/v1/calls
$curl -G https://tryenvoy.ai/api/v1/calls \
> -H "Authorization: Bearer <token>" \
> -d start_date=2024-01-01 \
> -d end_date=2024-01-31
1{
2 "data": [
3 {
4 "id": "call_00000000-0000-0000-0000-000000000000",
5 "status": "SCHEDULED",
6 "call_time": "2024-01-15T09:30:00Z",
7 "created_at": "2024-01-15T09:30:00Z",
8 "updated_at": "2024-01-15T09:30:00Z",
9 "call_direction": "INBOUND",
10 "phone_number": "string",
11 "to_number": "string",
12 "from_number": "string",
13 "call_start_time": "2024-01-15T09:30:00Z",
14 "call_end_time": "2024-01-15T09:30:00Z",
15 "call_type": "string",
16 "load_id": "load_00000000-0000-0000-0000-000000000000",
17 "organization_id": "org_00000000-0000-0000-0000-000000000000",
18 "created_by_id": "usr_00000000-0000-0000-0000-000000000000",
19 "recording_status": "string",
20 "load_number": "string"
21 }
22 ],
23 "pagination": {
24 "page": 1,
25 "page_size": 1,
26 "total_count": 1,
27 "total_pages": 1,
28 "has_next": true,
29 "has_prev": true
30 }
31}

List phone calls with pagination, filtering, and search.

Authentication: Supports API key and bearer token authentication.

Was this page helpful?
Previous

Get a call

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Organization-IDstring or nullOptional

Query parameters

statusstring or nullOptional
Filter by call status
time_periodenumOptional
Time period for call filtering
Allowed values:
start_datedate or nullOptional

Start date (required when time_period=‘custom’)

end_datedate or nullOptional

End date (required when time_period=‘custom’)

searchstring or nullOptional
Search by phone number, workflow, or load
pageintegerOptional>=1Defaults to 1
Page number
page_sizeintegerOptional1-100Defaults to 20
Items per page
order_bystringOptionalDefaults to created_at
Field to order by
order_descbooleanOptionalDefaults to true
Order descending

Response

Successful Response
datalist of objects
List of items for the current page
paginationobject
Pagination metadata

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error